// pages/withdrawalsRecord/index.js
const app = getApp();
Page({
  data: {
    userInfo: wx.getStorageSync('userInfo'),
    recordList:[]
  },
  onLoad: function (options) {
    var PageThis = this;
    PageThis.setData({
      userInfo:wx.getStorageSync('userInfo')
    })
    this.getRecord();
  },
  getRecord:function(){
    var PageThis = this;
    wx.request({
      url: app.globalData.serverInfo.gateWayUrl,
      header: {
        'content-type': 'application/json'
      },
      method: 'POST',
      data:{
        api_name: "get_withdraw_list",
        login_manager_id: PageThis.data.userInfo.manager_id
      },
      success:function(res){
        console.log(res.data.data);
        PageThis.setData({
          "recordList": res.data.data
        })
      }
    })
  }
})